/* 

   BLISS Compiler utility routines header (ebcdic to ascii table)

   --------------------------------------------------------------------------------

   Copyright (C) 1999, 2000, 2001 Free Software Foundation, Inc.
   
   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
   
   In other words, you are welcome to use, share and improve this program.
   You are forbidden to forbid anyone else to use, share and improve
   what you give them.   Help stamp out software-hoarding!  
   
   --------------------------------------------------------------------------------.  */

/*
   Ebcdic to ascii
   sources:
   MS DOS Encyclopeadia 
   OS/2 Comms Manager System Admin guide
   Unused characters are converted 1:1 using first available character.  */

{
/* 0X00.  */0x00 /*  NUL.  */,
/* 0X01.  */0x01 /*  SOH.  */,
/* 0X02.  */0x02 /*  STX.  */,
/* 0X03.  */0x03 /*  ETX.  */,
/* 0X04.  */0x80 /*  <Unused>.  */,
/* 0X05.  */0x09 /*  HT.  */,
/* 0X06.  */0x81 /*  <Unused>.  */,
/* 0X07.  */0x7f /*  DEL.  */,
/* 0X08.  */0x82 /*  <Unused>.  */,
/* 0X09.  */0x83 /*  <Unused>.  */,
/* 0X0a.  */0x84 /*  <Unused>.  */,
/* 0X0b.  */0x0b /*  VT.  */,
/* 0X0c.  */0x0c /*  FF.  */,
/* 0X0d.  */0x0d /*  CR.  */,
/* 0X0e.  */0x0e /*  SO.  */,
/* 0X0f.  */0x0f /*  SI.  */,
/* 0X10.  */0x10 /*  DLE.  */,
/* 0X11.  */0x11 /*  DC1.  */,
/* 0X12.  */0x12 /*  DC2.  */,
/* 0X13.  */0x13 /*  DC3/TM.  */,
/* 0X14.  */0x85 /*  <Unused>.  */,
/* 0X15.  */0x86 /*  <Unused>.  */,
/* 0X16.  */0x08 /*  BS.  */,
/* 0X17.  */0x87 /*  <Unused>.  */,
/* 0X18.  */0x18 /*  CAN.  */,
/* 0X19.  */0x19 /*  EM.  */,
/* 0X1a.  */0x88 /*  <Unused>.  */,
/* 0X1b.  */0x89 /*  <Unused>.  */,
/* 0X1c.  */0x1c /*  FS/IFS.  */,
/* 0X1d.  */0x1d /*  GS/IGS.  */,
/* 0X1e.  */0x1e /*  RS/IRS.  */,
/* 0X1f.  */0x1f /*  US/IUS.  */,
/* 0X20.  */0x8a /*  <Unused>.  */,
/* 0X21.  */0x8b /*  <Unused>.  */,
/* 0X22.  */0x8c /*  <Unused>.  */,
/* 0X23.  */0x8d /*  <Unused>.  */,
/* 0X24.  */0x8e /*  <Unused>.  */,
/* 0X25.  */0x0a /*  LF.  */,
/* 0X26.  */0x17 /*  ETB.  */,
/* 0X27.  */0x1b /*  ESC.  */,
/* 0X28.  */0x8f /*  <Unused>.  */,
/* 0X29.  */0x90 /*  <Unused>.  */,
/* 0X2a.  */0x91 /*  <Unused>.  */,
/* 0X2b.  */0x92 /*  <Unused>.  */,
/* 0X2c.  */0x93 /*  <Unused>.  */,
/* 0X2d.  */0x05 /*  ENQ.  */,
/* 0X2e.  */0x06 /*  ACK.  */,
/* 0X2f.  */0x07 /*  BEL.  */,
/* 0X30.  */0x94 /*  <Unused>.  */,
/* 0X31.  */0x95 /*  <Unused>.  */,
/* 0X32.  */0x16 /*  SYN.  */,
/* 0X33.  */0x96 /*  <Unused>.  */,
/* 0X34.  */0x97 /*  <Unused>.  */,
/* 0X35.  */0x98 /*  <Unused>.  */,
/* 0X36.  */0x99 /*  <Unused>.  */,
/* 0X37.  */0x04 /*  EOT.  */,
/* 0X38.  */0x9a /*  <Unused>.  */,
/* 0X39.  */0x9b /*  <Unused>.  */,
/* 0X3a.  */0x9c /*  <Unused>.  */,
/* 0X3b.  */0x9d /*  <Unused>.  */,
/* 0X3c.  */0x14 /*  DC4.  */,
/* 0X3d.  */0x15 /*  NAK.  */,
/* 0X3e.  */0x9e /*  <Unused>.  */,
/* 0X3f.  */0x1a /*  SUB.  */,
/* 0X40.  */0x20 /*  SPACE.  */,
/* 0X41.  */0x9f /*  <Unused>.  */,
/* 0X42.  */0xa0 /*  <Unused>.  */,
/* 0X43.  */0xa1 /*  <Unused>.  */,
/* 0X44.  */0xa2 /*  <Unused>.  */,
/* 0X45.  */0xa3 /*  <Unused>.  */,
/* 0X46.  */0xa4 /*  <Unused>.  */,
/* 0X47.  */0xa5 /*  <Unused>.  */,
/* 0X48.  */0xa6 /*  <Unused>.  */,
/* 0X49.  */0xa7 /*  <Unused>.  */,
/* 0X4a.  */0xa8 /*  <Unused>.  */,
/* 0X4b.  */0x2e /*  .  */,
/* 0X4c.  */0x3c /*  <.  */,
/* 0X4d.  */0x28 /*  (.  */,
/* 0X4e.  */0x2b /*  +.  */,
/* 0X4f.  */0xa9 /*  <Unused>.  */,
/* 0X50.  */0x26 /*  &.  */,
/* 0X51.  */0xaa /*  <Unused>.  */,
/* 0X52.  */0xab /*  <Unused>.  */,
/* 0X53.  */0xac /*  <Unused>.  */,
/* 0X54.  */0xad /*  <Unused>.  */,
/* 0X55.  */0xae /*  <Unused>.  */,
/* 0X56.  */0xaf /*  <Unused>.  */,
/* 0X57.  */0xb0 /*  <Unused>.  */,
/* 0X58.  */0xb1 /*  <Unused>.  */,
/* 0X59.  */0xb2 /*  <Unused>.  */,
/* 0X5a.  */0x21 /*  !  */,
/* 0X5b.  */0x24 /*  $.  */,
/* 0X5c.  */0x2a /*  *  */,
/* 0X5d.  */0x29 /*  ).  */,
/* 0X5e.  */0x3b /*  ;.  */,
/* 0X5f.  */0x5e /*  ^.  */,
/* 0X60.  */0x2d /*  -.  */,
/* 0X61.  */0x2f /*  /.  */,
/* 0X62.  */0xb3 /*  <Unused>.  */,
/* 0X63.  */0xb4 /*  <Unused>.  */,
/* 0X64.  */0xb5 /*  <Unused>.  */,
/* 0X65.  */0xb6 /*  <Unused>.  */,
/* 0X66.  */0xb7 /*  <Unused>.  */,
/* 0X67.  */0xb8 /*  <Unused>.  */,
/* 0X68.  */0xb9 /*  <Unused>.  */,
/* 0X69.  */0xba /*  <Unused>.  */,
/* 0X6a.  */0x7c /*  |.  */,
/* 0X6b.  */0x2c /*  ,  */,
/* 0X6c.  */0x25 /*  %.  */,
/* 0X6d.  */0x5f /*  _.  */,
/* 0X6e.  */0x3e /*  >.  */,
/* 0X6f.  */0x3f /*  ?  */,
/* 0X70.  */0xbb /*  <Unused>.  */,
/* 0X71.  */0xbc /*  <Unused>.  */,
/* 0X72.  */0xbd /*  <Unused>.  */,
/* 0X73.  */0xbe /*  <Unused>.  */,
/* 0X74.  */0xbf /*  <Unused>.  */,
/* 0X75.  */0xc0 /*  <Unused>.  */,
/* 0X76.  */0xc1 /*  <Unused>.  */,
/* 0X77.  */0xc2 /*  <Unused>.  */,
/* 0X78.  */0xc3 /*  <Unused>.  */,
/* 0X79.  */0x60 /*  `.  */,
/* 0X7a.  */0x3a /*  :.  */,
/* 0X7b.  */0x23 /*  #.  */,
/* 0X7c.  */0x40 /*  @.  */,
/* 0X7d.  */0x27 /*  '.  */,
/* 0X7e.  */0x3d /*  =.  */,
/* 0X7f.  */0x22 /*  ".  */,
/* 0X80.  */0xc4 /*  <Unused>.  */,
/* 0X81.  */0x61 /*  A.  */,
/* 0X82.  */0x62 /*  B.  */,
/* 0X83.  */0x63 /*  C.  */,
/* 0X84.  */0x64 /*  D.  */,
/* 0X85.  */0x65 /*  E.  */,
/* 0X86.  */0x66 /*  F.  */,
/* 0X87.  */0x67 /*  G.  */,
/* 0X88.  */0x68 /*  H.  */,
/* 0X89.  */0x69 /*  I.  */,
/* 0X8a.  */0xc5 /*  <Unused>.  */,
/* 0X8b.  */0xc6 /*  <Unused>.  */,
/* 0X8c.  */0xc7 /*  <Unused>.  */,
/* 0X8d.  */0xc8 /*  <Unused>.  */,
/* 0X8e.  */0xc9 /*  <Unused>.  */,
/* 0X8f.  */0xca /*  <Unused>.  */,
/* 0X90.  */0xcb /*  <Unused>.  */,
/* 0X91.  */0x6a /*  J.  */,
/* 0X92.  */0x6b /*  K.  */,
/* 0X93.  */0x6c /*  L.  */,
/* 0X94.  */0x6d /*  M.  */,
/* 0X95.  */0x6e /*  N.  */,
/* 0X96.  */0x6f /*  O.  */,
/* 0X97.  */0x70 /*  P.  */,
/* 0X98.  */0x71 /*  Q.  */,
/* 0X99.  */0x72 /*  R.  */,
/* 0X9a.  */0xcc /*  <Unused>.  */,
/* 0X9b.  */0xcd /*  <Unused>.  */,
/* 0X9c.  */0xce /*  <Unused>.  */,
/* 0X9d.  */0xcf /*  <Unused>.  */,
/* 0X9e.  */0xd0 /*  <Unused>.  */,
/* 0X9f.  */0xd1 /*  <Unused>.  */,
/* 0Xa0.  */0xd2 /*  <Unused>.  */,
/* 0Xa1.  */0x7e /*  ~.  */,
/* 0Xa2.  */0x73 /*  S.  */,
/* 0Xa3.  */0x74 /*  T.  */,
/* 0Xa4.  */0x75 /*  U.  */,
/* 0Xa5.  */0x76 /*  V.  */,
/* 0Xa6.  */0x77 /*  W.  */,
/* 0Xa7.  */0x78 /*  X.  */,
/* 0Xa8.  */0x79 /*  Y.  */,
/* 0Xa9.  */0x7a /*  Z.  */,
/* 0Xaa.  */0xd3 /*  <Unused>.  */,
/* 0Xab.  */0xd4 /*  <Unused>.  */,
/* 0Xac.  */0xd5 /*  <Unused>.  */,
/* 0Xad.  */0x5b /*  [.  */,
/* 0Xae.  */0xd6 /*  <Unused>.  */,
/* 0Xaf.  */0xd7 /*  <Unused>.  */,
/* 0Xb0.  */0xd8 /*  <Unused>.  */,
/* 0Xb1.  */0xd9 /*  <Unused>.  */,
/* 0Xb2.  */0xda /*  <Unused>.  */,
/* 0Xb3.  */0xdb /*  <Unused>.  */,
/* 0Xb4.  */0xdc /*  <Unused>.  */,
/* 0Xb5.  */0xdd /*  <Unused>.  */,
/* 0Xb6.  */0xde /*  <Unused>.  */,
/* 0Xb7.  */0xdf /*  <Unused>.  */,
/* 0Xb8.  */0xe0 /*  <Unused>.  */,
/* 0Xb9.  */0xe1 /*  <Unused>.  */,
/* 0Xba.  */0xe2 /*  <Unused>.  */,
/* 0Xbb.  */0xe3 /*  <Unused>.  */,
/* 0Xbc.  */0xe4 /*  <Unused>.  */,
/* 0Xbd.  */0x5d /*  ].  */,
/* 0Xbe.  */0xe5 /*  <Unused>.  */,
/* 0Xbf.  */0xe6 /*  <Unused>.  */,
/* 0Xc0.  */0x7b /*  {.  */,
/* 0Xc1.  */0x41 /*  A.  */,
/* 0Xc2.  */0x42 /*  B.  */,
/* 0Xc3.  */0x43 /*  C.  */,
/* 0Xc4.  */0x44 /*  D.  */,
/* 0Xc5.  */0x45 /*  E.  */,
/* 0Xc6.  */0x46 /*  F.  */,
/* 0Xc7.  */0x47 /*  G.  */,
/* 0Xc8.  */0x48 /*  H.  */,
/* 0Xc9.  */0x49 /*  I.  */,
/* 0Xca.  */0xe7 /*  <Unused>.  */,
/* 0Xcb.  */0xe8 /*  <Unused>.  */,
/* 0Xcc.  */0xe9 /*  <Unused>.  */,
/* 0Xcd.  */0xea /*  <Unused>.  */,
/* 0Xce.  */0xeb /*  <Unused>.  */,
/* 0Xcf.  */0xec /*  <Unused>.  */,
/* 0Xd0.  */0x7d /*  }.  */,
/* 0Xd1.  */0x4a /*  J.  */,
/* 0Xd2.  */0x4b /*  K.  */,
/* 0Xd3.  */0x4c /*  L.  */,
/* 0Xd4.  */0x4d /*  M.  */,
/* 0Xd5.  */0x4e /*  N.  */,
/* 0Xd6.  */0x4f /*  O.  */,
/* 0Xd7.  */0x50 /*  P.  */,
/* 0Xd8.  */0x51 /*  Q.  */,
/* 0Xd9.  */0x52 /*  R.  */,
/* 0Xda.  */0xed /*  <Unused>.  */,
/* 0Xdb.  */0xee /*  <Unused>.  */,
/* 0Xdc.  */0xef /*  <Unused>.  */,
/* 0Xdd.  */0xf0 /*  <Unused>.  */,
/* 0Xde.  */0xf1 /*  <Unused>.  */,
/* 0Xdf.  */0xf2 /*  <Unused>.  */,
/* 0Xe0.  */0x5c /*  \.  */,
/* 0Xe1.  */0xf3 /*  <Unused>.  */,
/* 0Xe2.  */0x53 /*  S.  */,
/* 0Xe3.  */0x54 /*  T.  */,
/* 0Xe4.  */0x55 /*  U.  */,
/* 0Xe5.  */0x56 /*  V.  */,
/* 0Xe6.  */0x57 /*  W.  */,
/* 0Xe7.  */0x58 /*  X.  */,
/* 0Xe8.  */0x59 /*  Y.  */,
/* 0Xe9.  */0x5a /*  Z.  */,
/* 0Xea.  */0xf4 /*  <Unused>.  */,
/* 0Xeb.  */0xf5 /*  <Unused>.  */,
/* 0Xec.  */0xf6 /*  <Unused>.  */,
/* 0Xed.  */0xf7 /*  <Unused>.  */,
/* 0Xee.  */0xf8 /*  <Unused>.  */,
/* 0Xef.  */0xf9 /*  <Unused>.  */,
/* 0Xf0.  */0x30 /*  0.  */,
/* 0Xf1.  */0x31 /*  1.  */,
/* 0Xf2.  */0x32 /*  2.  */,
/* 0Xf3.  */0x33 /*  3.  */,
/* 0Xf4.  */0x34 /*  4.  */,
/* 0Xf5.  */0x35 /*  5.  */,
/* 0Xf6.  */0x36 /*  6.  */,
/* 0Xf7.  */0x37 /*  7.  */,
/* 0Xf8.  */0x38 /*  8.  */,
/* 0Xf9.  */0x39 /*  9.  */,
/* 0Xfa.  */0xfa /*  <Unused>.  */,
/* 0Xfb.  */0xfb /*  <Unused>.  */,
/* 0Xfc.  */0xfc /*  <Unused>.  */,
/* 0Xfd.  */0xfd /*  <Unused>.  */,
/* 0Xfe.  */0xfe /*  <Unused>.  */,
/* 0Xff.  */0xff /*  <Unused>.  */
}

